Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0021527
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Retail Modules] Web POSmajoralways2012-09-02 14:492013-04-03 11:47
ReporterrgorisView Statuspublic 
Assigned Tomigueldejuana 
PriorityhighResolutionfixedFixed in VersionRMP19
StatusclosedFix in branchFixed in SCM revision19f6cd907666
ProjectionnoneETAnoneTarget VersionRMP19
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0021527: Rename Description to Name in product details webpos

DescriptionIn the details panel we used Description so far to describe the product. This is inconsistent with the backoffice (where name is used) and will cause conflict with the new functionality of adding descriptions to the ticket and lines.
Steps To ReproduceWebpos, select line, look at EDIT tab pane
Proposed SolutionRename to "Name"
TagsNo tags attached.
Attached Filespng file icon Description to Name.PNG [^] (173,868 bytes) 2012-09-02 14:49


diff file icon issue21527.diff [^] (2,093 bytes) 2013-01-02 12:57 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0054499)
rgoris (developer)
2012-11-26 17:15

With the "Line Description" feature, this issue become more relevant. Needs to be fixed, it looks really bad as it is.
(0055742)
hgbot (developer)
2013-01-22 18:15

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 19f6cd907666ab726d5901f311f058f21fa390d3
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Jan 22 18:15:20 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/19f6cd907666ab726d5901f311f058f21fa390d3 [^]

Fixed issue 0021527: Rename Description to Name in product details webpos

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/pointofsale/view/editline.js
---
(0055851)
guilleaer (developer)
2013-01-25 11:25

verified
(0057578)
hgbot (developer)
2013-04-02 20:02

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 19f6cd907666ab726d5901f311f058f21fa390d3
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Tue Jan 22 18:15:20 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/19f6cd907666ab726d5901f311f058f21fa390d3 [^]

Fixed issue 0021527: Rename Description to Name in product details webpos

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/pointofsale/view/editline.js
---

- Issue History
Date Modified Username Field Change
2012-09-02 14:49 rgoris New Issue
2012-09-02 14:49 rgoris Assigned To => adrianromero
2012-09-02 14:49 rgoris File Added: Description to Name.PNG
2012-11-26 17:15 rgoris Note Added: 0054499
2012-12-05 20:02 adrianromero Status new => scheduled
2012-12-05 20:02 adrianromero Target Version => RMP18
2012-12-20 13:53 adrianromero Assigned To adrianromero => migueldejuana
2012-12-27 10:40 migueldejuana Target Version RMP18 => RMP19
2013-01-02 12:57 migueldejuana File Added: issue21527.diff
2013-01-22 18:15 hgbot Checkin
2013-01-22 18:15 hgbot Note Added: 0055742
2013-01-22 18:15 hgbot Status scheduled => resolved
2013-01-22 18:15 hgbot Resolution open => fixed
2013-01-22 18:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/19f6cd907666ab726d5901f311f058f21fa390d3 [^]
2013-01-25 11:25 guilleaer Review Assigned To => guilleaer
2013-01-25 11:25 guilleaer Note Added: 0055851
2013-01-25 11:25 guilleaer Status resolved => closed
2013-01-25 11:25 guilleaer Fixed in Version => RMP19
2013-04-02 20:02 hgbot Checkin
2013-04-02 20:02 hgbot Note Added: 0057578
2013-04-02 20:02 hgbot Status closed => resolved
2013-04-02 20:02 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/19f6cd907666ab726d5901f311f058f21fa390d3 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/19f6cd907666ab726d5901f311f058f21fa390d3 [^]
2013-04-03 11:47 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker